## ros-melodic-schunk-svh 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)
project(schunk_svh)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-schunk-svh (0.1.2-1bionic) bionic; urgency=high



 -- Stefan Scherzinger <scherzin@fzi.de>  Wed, 04 Jan 2023 23:00:00 -0000

ros-melodic-schunk-svh (0.1.1-1bionic) bionic; urgency=high

  * Merge branch 'update-license-ros1' into 'update-and-upgrade'
    Switch license to the GPLv3
    See merge request ros/schunk_svh_driver!23
  * Update SPDX license indicator in package.xml
    This is according to here <https://www.gnu.org/licenses/identify-licenses-clearly.html>.
  * Add schunk_svh_msgs to meta package.xml
  * Merge branch 'meta-package' into 'update-and-upgrade'
    Meta package
    See merge request ros/schunk_svh_driver!20
  * Add the description package in the package.xml
  * Add meta package to the repository
  * Contributors: Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Mon, 19 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-schunk-svh
Section: misc
Priority: optional
Maintainer: Stefan Scherzinger <scherzin@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-schunk-svh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-schunk-svh-description, ros-melodic-schunk-svh-driver, ros-melodic-schunk-svh-msgs
Description: ROS1 specific packages for the Schunk SVH five finger hand

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-schunk-svh//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
